Page MenuHomePhabricator

Install fails if hard drive previously contained GPT label
Closed, ResolvedPublic

Description

I installed VyOS for the first time today. I ran into a small issue during install. The hard disk had a GPT layout. The VyOS install (install image) completed but after reboot, no bootloader was found. I repeated the install, same problem. I then booted with GRML and performed 'wipefs -a /dev/sda' to get rid of all remaining labels and filesystem signatures. I then did another install of VyOS and it succesfully booted.

Perhaps an automated wipefs -a would be a good idea when choosing the Auto install option?

Details

Difficulty level
Easy (less than an hour)
Version
1.1.7
syncer added subscribers: VyOS 1.1.x, VyOS 1.2.x.
syncer assigned this task to UnicronNL.Aug 21 2017, 2:59 AM
syncer added subscribers: UnicronNL, syncer.

@UnicronNL can this be added with impact?

@UnicronNL or better add this to installer part

syncer moved this task from Need Triage to Backlog on the VyOS 1.1.x board.Oct 11 2017, 9:41 PM
syncer moved this task from Need Triage to Backlog on the VyOS 1.2.x board.

@SimonWydooghe please retest on nightly builds

dmbaturin moved this task from Backlog to In Progress on the VyOS 1.2.x board.
dmbaturin closed this task as Resolved.Oct 2 2018, 4:13 PM